import { AppService } from '../app/app.service';
import { User } from './user';
import { AuthProvider } from './provider';
export declare class AuthService {
    SHEETBASE_USER_CHANGED: string;
    SHEETBASE_USER_INFO: string;
    SHEETBASE_USER_CREDS: string;
    private Api;
    app: AppService;
    currentUser: User;
    private oauthProvider;
    constructor(app: AppService);
    onAuthStateChanged(next: {
        (user: User): any;
    }): void;
    checkActionCode(code: string): Promise<any>;
    createUserWithEmailAndPassword(email: string, password: string): Promise<{
        user: User;
    }>;
    signInWithEmailAndPassword(email: string, password: string): Promise<{
        user: User;
    }>;
    signInWithCustomToken(token: string): Promise<{
        user: User;
    }>;
    signInAnonymously(): Promise<{
        user: User;
    }>;
    sendPasswordResetEmail(email: string): Promise<any>;
    verifyPasswordResetCode(code: string): Promise<any>;
    confirmPasswordReset(code: string, newPassword: string): Promise<any>;
    signInWithPopup(provider: AuthProvider): Promise<void>;
    googleAuthProvider(): AuthProvider;
    facebookAuthProvider(): AuthProvider;
    signOut(): Promise<void>;
    private signIn;
    private signInWithLocalUser;
    private handleOauthResult;
    private processOauthResult;
}
